import { useEffect } from 'react';
import { COOKIE_LOCALE_NAME } from './next-intl.esm3.js';

/**
 * This is necessary so the middleware only has to match
 * on the root path, but we can keep the cookie in sync.
 */

function useCookieSync(locale) {
  useEffect(function () {
    var _cookie$split;

    var cookie = document.cookie.split(';').find(function (cur) {
      return cur.includes(COOKIE_LOCALE_NAME + '=');
    });
    var prevLocale = cookie == null ? void 0 : (_cookie$split = cookie.split('=')) == null ? void 0 : _cookie$split[1];

    if (prevLocale !== locale) {
      document.cookie = COOKIE_LOCALE_NAME + "=" + locale + "; path=/; expires=Fri, 31 Dec 9999 23:59:59 GMT";
    }
  }, [locale]);
}

export { useCookieSync as default };
//# sourceMappingURL=next-intl.esm2.js.map
