import createBaseTranslator, { getMessagesOrError } from 'use-intl/dist/src/core/createBaseTranslator';
import useConfig from './useConfig';
export default function useTranslations(namespace) {
    const config = useConfig();
    const messagesOrError = getMessagesOrError({
        messages: config.messages,
        namespace,
        onError: config.onError
    });
    // TODO: We could cache this
    return createBaseTranslator({
        ...config,
        namespace,
        messagesOrError
    });
}
//# sourceMappingURL=useTranslations.js.map